Index: links_event_handler.php
===================================================================
--- links_event_handler.php	(revision 14888)
+++ links_event_handler.php	(working copy)
@@ -398,16 +398,19 @@
 		 */
 		function OnProcessReciprocalLinks(&$event)
 		{
-			if (!$this->Application->ConfigValue('ReciprocalLinkChecking')) {
-				return ;
+			if ( !$this->Application->ConfigValue('ReciprocalLinkChecking') ) {
+				return;
 			}
 
 			$object =& $event->getObject( Array('skip_autoload' => true) );
-			/* @var $object kDBItem */
+			/* @var $object kCatDBItem */
 
 			$link_helper =& $this->Application->recallObject('LinkHelper');
 			/* @var $link_helper LinkHelper */
 
+			$id_field = $this->Application->getUnitOption($event->Prefix, 'IDField');
+			$table_name = $this->Application->getUnitOption($event->Prefix, 'TableName');
+
 			// 1. verify all links, that were not verified previously
 			$sql = 'SELECT ' . $id_field . '
 					FROM ' . $table_name . '
@@ -422,7 +425,7 @@
 				$object->SetDBField('ReciprocalLinkFound', $link_checked ? LINK_IS_RECIPROCAL : LINK_IS_NOT_RECIPROCAL);
 				$object->Update();
 
-				if ($link_checked) {
+				if ( $link_checked ) {
 					$object->ApproveChanges();
 				}
 				else {
@@ -432,9 +435,6 @@
 			}
 
 			// 2. approve all links, that have succeeded in reciprocal check (during adding/changing on front-end)
-			$id_field = $this->Application->getUnitOption($event->Prefix, 'IDField');
-			$table_name = $this->Application->getUnitOption($event->Prefix, 'TableName');
-
 			$sql = 'SELECT ' . $id_field . '
 					FROM ' . $table_name . '
 					WHERE (ReciprocalLinkFound = ' . LINK_IS_RECIPROCAL . ') AND (Status <> ' . STATUS_ACTIVE . ')';
